#version 400

uniform bool cubeMap;
uniform sampler2D texture0;
uniform samplerCube environmentMap;

smooth in vec3 VS_TexCoord;
layout(location = 0) out vec4 colorOut;

void main() {
	if (cubeMap) 
		colorOut = texture(environmentMap, VS_TexCoord);
	else
		colorOut = texture(texture0, VS_TexCoord.xy);
	
	colorOut.a = 1.0; 
} 